Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234748 - emulate_httpd_log on|off - no httpd log
Summary: emulate_httpd_log on|off - no httpd log
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Bacovsky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-01 12:57 UTC by shrek-m
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-04 14:28:52 UTC


Attachments (Terms of Use)

Description shrek-m 2007-04-01 12:57:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; de; rv:1.8.0.10) Gecko/20070313 Fedora/1.5.0.10-5.fc6 Firefox/1.5.0.10

Description of problem:
"emulate_httpd_log on" does not log in httpd format.
this was no problem in rhl7.3, fc3, ...

Version-Release number of selected component (if applicable):
squid-2.6.STABLE9-1.fc6

How reproducible:
Always


Steps to Reproduce:
1. emulate_httpd_log off
2. restart squid
3. emulate_httpd_log on
4. restart squid

Actual Results:
the log is always in the squid format and no httpd log format.

Expected Results:
should work as in rhl7.3, fc3, ...

Additional info:
rhl7.3/fc3
grep emulate /etc/squid/squid.conf
#  TAG: emulate_httpd_log       on|off
#       The Cache can emulate the log file format which many 'httpd'
#       emulate_httpd_log to 'off' or 'on'.  The default
#emulate_httpd_log off
emulate_httpd_log on
#       the access log (for either the native or httpd-emulated log


fc6:
1175431811.785   1582 192.168.101.3 TCP_MISS/200 17468 CONNECT bugzilla.redhat.com:443 - DIRECT/66.187.233.198 -

rhl7.3/fc3:
172.16.0.60 - user [01/Apr/2007:14:37:30 +0200] "GET http://xxxx.com/xxxx/xxxx HTTP/1.1" 200 3535 TCP_CLIENT_REFRESH_MISS:DIRECT

Comment 1 Martin Bacovsky 2007-04-04 14:28:52 UTC
according to source code tag access_log has precedence over emulate_httpd_log.
Check whether there is 
access_log /var/log/squid/access.log
in your squid.conf file and not 
access_log /var/log/squid/access.log squid
which is by default.

I didn't found whether any other log then access_log cares about
emulate_httpd_log tag. it seems that using format defined by logformat tag is
preffered way.


i am closing this as NOTABUG, but if this didn't help feel free to reopen this bug. 

Comment 2 shrek-m 2007-04-04 16:10:57 UTC
thanks for your info,
i could not find "access_log" in rhl7.3/fc3 squid.conf only cache_access_log.


both are ok for httpd/common log format:

1;
access_log /var/log/squid/access.log common

2;
access_log /var/log/squid/access.log
emulate_httpd_log on


Note You need to log in before you can comment on or make changes to this bug.